# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "mprocs"
version = "0.9.3"
authors = ["Pavel Volokitin <pavelvolokitin@gmail.com>"]
build = false
include = ["*"]
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
default-run = "mprocs"
description = "TUI for running multiple processes"
readme = false
keywords = [
    "cli",
    "terminal",
    "tui",
    "utility",
]
categories = [
    "command-line-interface",
    "command-line-utilities",
    "development-tools",
]
license = "MIT"
repository = "https://github.com/pvolok/mprocs"
resolver = "2"

[lib]
name = "lib"
path = "lib.rs"

[[bin]]
name = "dk"
path = "bin/dekit.rs"

[[bin]]
name = "mprocs"
path = "bin/mprocs.rs"

[dependencies.anyhow]
version = "1.0.72"

[dependencies.assert_matches]
version = "1.5.0"

[dependencies.base64]
version = "0.22.0"

[dependencies.bincode]
version = "1.3.3"

[dependencies.bitflags]
version = "2.3.3"
features = ["serde"]

[dependencies.bytes]
version = "1.5.0"

[dependencies.clap]
version = "4.3.19"
features = ["cargo"]

[dependencies.clipboard-win]
version = "5.3.1"

[dependencies.compact_str]
version = "0.9.0"
features = ["serde"]

[dependencies.dunce]
version = "1.0.4"

[dependencies.flexi_logger]
version = "0.31.2"
features = ["colors"]
default-features = false

[dependencies.futures]
version = "0.3.28"

[dependencies.indexmap]
version = "2.0.0"
features = ["serde"]

[dependencies.itoa]
version = "1"

[dependencies.lazy_static]
version = "1.4.0"

[dependencies.libc]
version = "0.2.147"

[dependencies.log]
version = "0.4.19"

[dependencies.log-panics]
version = "2.1.0"
features = ["with-backtrace"]

[dependencies.mlua]
version = "0.11.1"
features = [
    "lua52",
    "vendored",
    "serialize",
    "async",
    "send",
]

[dependencies.phf]
version = "0.12.1"
features = ["macros"]

[dependencies.rquickjs]
version = "0.11"
features = ["full-async"]

[dependencies.rustix]
version = "1"
features = ["all-apis"]

[dependencies.scopeguard]
version = "1.2.0"

[dependencies.serde]
version = "1.0.177"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.138"

[dependencies.serde_yaml]
version = "0.9.25"

[dependencies.tokio]
version = "1"
features = ["full"]

[dependencies.tokio-util]
version = "0.7.16"
features = ["full"]

[dependencies.triggered]
version = "0.1.2"

[dependencies.tui-input]
version = "0.15.0"
default-features = false

[dependencies.unicode-segmentation]
version = "1.12.0"

[dependencies.unicode-width]
version = "0.2.2"

[dependencies.which]
version = "8.0.0"

[dependencies.xdg]
version = "3.0.0"

[target."cfg(unix)".dependencies.daemonize]
version = "0.5.0"

[target."cfg(windows)".dependencies.windows]
version = "0.62"
features = [
    "Win32_Foundation",
    "Win32_Security",
    "Win32_Storage_FileSystem",
    "Win32_System",
    "Win32_System_Console",
    "Win32_System_IO",
    "Win32_System_Pipes",
    "Win32_System_Threading",
    "Win32_UI_Input_KeyboardAndMouse",
    "Win32_UI_WindowsAndMessaging",
]
